<?php


function validaopcion($valor)
{  
    if($valor == "")  
        return false;  
    else  
        return true;  
}
$tipodocumento = $_POST["tipodoc"];
if ($tipodocumento == 1) {$idtipodoc = 'DNI';}
if ($tipodocumento == 2) {$idtipodoc = 'CE';}
if ($tipodocumento == 3) {$idtipodoc = 'PAS';}
$moneda = 'US$';
$numerodocumento = $_POST["NroDocumento"];
$fechanacimiento = $_POST["FecNac"];
$nombrecliente = $_POST["snombres"];
$paternocliente = $_POST["spaterno"];
$maternocliente = $_POST["smaterno"];
$edad = $_POST["sedad"];
$fijo = $_POST["sfijo"];
$celular = $_POST["scelular"];
$correo = $_POST["scorreo"];
$direccion = $_POST["sdireccion"];
$localidad = $_POST["slocalidad"];

$placa = $_POST["splaca"];
$modelov = $_POST["smodelo"];
$idmodelo = $_POST["sidmodelo"];
$fabricacion = $_POST["sfabricacion"];
$motor = $_POST["smotor"];
$chasis = $_POST["schasis"];
$color = $_POST["scolor"];

$aseguradora = $_POST["saseguradora"];
if ($aseguradora == 1) {$descripcionaseguradora = 'Pac&iacute;fico';}
if ($aseguradora == 2) {$descripcionaseguradora = 'R&iacute;mac';}
if ($aseguradora == 3) {$descripcionaseguradora = 'La Positiva';}
if ($aseguradora == 4) {$descripcionaseguradora = 'Mapfre';}

if ($aseguradora == 5) {$opcion = "1"; $aseguradora = 5; $descripcionaseguradora = 'HDI'; $comentariodeducible = 'la opcion de deducible 1 y';}
if ($aseguradora == 6) {$opcion = "2"; $aseguradora = 5; $descripcionaseguradora = 'HDI'; $comentariodeducible = 'la opcion de deducible 2 y';}
if ($aseguradora == 7) {$opcion = "3"; $aseguradora = 5; $descripcionaseguradora = 'HDI'; $comentariodeducible = 'la opcion de deducible 3 y';}

$sumaasegurada = $_POST["ssumaasegurada"];
$uso = $_POST["suso"];
$vigencia = $_POST["svigencia"];
$primacontado = $_POST["sprimacontado"];
$mediopago = $_POST["sidmediopago"];
$financiamiento = $_POST["sfinanciamiento"];
$endoso = $_POST["endoso"];
$gps = $_POST["sGPS"];


$fn = date('Y/m/d H:i:s');
$nuevafecha = strtotime ( '-5 hour' , strtotime ( $fn ) ) ;
$nuevafecha = date ( 'Y/m/d H:i:s' , $nuevafecha );

//FALTA OBTENER EL VALOR DE LA COTIZACION
//$precioUSD = 13203;
//$precioPEN = $precioUSD * 3.30;

$status = 0;
$identificador = "X";

$anioActual = date ("Y");

$hoy = date ("Y-m-d");

//Antiguedad del vehiculo
$anioAntiguedad = $anioActual - $fabricacion;

//$fn='1986-09-27';
$fn=$fechanacimiento;
	
$diaActual = substr($hoy, 8, 2); 
$mesActual = substr($hoy, 5, 2); 
$anioActual = substr($hoy, 0, 4); 
$diaInicio = substr($fn, 8, 2); 
$mesInicio = substr($fn, 5, 2); 
$anioInicio = substr($fn, 0, 4); 

$edadanios = $anioActual - $anioInicio;
if($mesInicio <= $mesActual)
{
	$xmes = 0;
}
else
{
	$xmes = -1;
}

if($mesInicio == $mesActual)
{
	if($diaInicio <= $diaActual)
	{
		$xdia = 0;
	}
	else
	{
		$xdia = -1;
	}

}
else
{
	$xdia = 0;
}

$edadcalculada = $edadanios + $xmes + $xdia;
//echo "<script>alert('".$aseguradora."');</script>";
//echo "<script>alert('".$gps."');</script>";
//Comprobamos si todo ha ido bien  
  //    if($validaaseguradora != "error" && $validaprima != "error" && $validafinanciamiento != "error" && $validaendoso != "error")  
  //        $status = 1;  

//}

$error = 0;
$mensajeerror = '\n';

//**********************************VALIDACION DE DATOS CLIENTE**********************************//
if (strlen($numerodocumento) < 8 && $tipodocumento == 1)
{
	$mensajeerror = $mensajeerror.'\nDocumento no valido.';
	$error = 1;
}
if (strlen($nombrecliente) < 3)
{
	$mensajeerror = $mensajeerror.'\nIngrese el nombre del cliente.';
	$error = 1;
}
if (strlen($paternocliente) < 3)
{
	$mensajeerror = $mensajeerror.'\nIngrese el apellido paterno del cliente.';
	$error = 1;
}
if (strlen($maternocliente) < 3)
{
	$mensajeerror = $mensajeerror.'\nIngrese el apellido materno del cliente.';
	$error = 1;
}
if (strlen($fijo) < 7)
{
	$mensajeerror = $mensajeerror.'\nIngrese el telefono fijo.';
	$error = 1;
}
if (strlen($celular) < 9)
{
	$mensajeerror = $mensajeerror.'\nIngrese el numero de celular.';
	$error = 1;
}
if (filter_var($correo, FILTER_VALIDATE_EMAIL))
{}
else
{
	$mensajeerror = $mensajeerror.'\nCorreo no valido.';
	$error = 1;
}
if (strlen($direccion) < 7)
{
	$mensajeerror = $mensajeerror.'\nIngrese la direccion.';
	$error = 1;
}
if ($localidad == '0')
{
	$mensajeerror = $mensajeerror.'\nSeleccione la localidad.';
	$error = 1;
}
if ($edad != $edadcalculada)
{
	$mensajeerror = $mensajeerror.'\nFecha de nacimiento no valida, la edad requerida es '.$edad;
	$error = 1;
}
//***********************************************************************************************//
//**********************************VALIDACION DE DATOS VEHICULO**********************************//
if (strlen($placa)<6 || strlen($placa)>6)
{
	$mensajeerror = $mensajeerror.'\nPlaca no valida.';
	$error = 1;
}
if (strlen($motor)<6)
{
	$mensajeerror = $mensajeerror.'\nIngrese el numero de motor.';
	$error = 1;
}
if (strlen($chasis)<6)
{
	$mensajeerror = $mensajeerror.'\nIngrese el codigo de chasis.';
	$error = 1;
}
if (strlen($color)<4)
{
	$mensajeerror = $mensajeerror.'\nIngrese el color del vehiculo.';
	$error = 1;
}
//************************************************************************************************//
//**********************************VALIDACION DE DATOS SEGURO**********************************//
if ($endoso == '')
{
	$mensajeerror = $mensajeerror.'\nSeleccione una entidad de endoso.';
	$error = 1;
}
if ($vigencia < $hoy)
{
	$mensajeerror = $mensajeerror.'\nEl inicio de vigencia no puede ser retroactiva.';
	$error = 1;
}

//**********************************************************************************************//

if ($error == 1)
{
	echo "<script>alert('Por favor complete la informacion de los siguientes campos:' + '".$mensajeerror."');</script>";
	echo "<script>javascript:history.back();</script>";
}
else
{
//	echo "<script>alert('DATOS CORRECTOS');</script>";
//	echo "<script>javascript:history.back();</script>";

//************************ REGISTRAR LA VENTA EN BASE DE DATOS ************************\\


	$f = date('Y/m/d H:i:s');
	$reg = strtotime ( '-5 hour' , strtotime ( $f ) ) ;
	$reg = date ( 'Y/m/d H:i:s' , $reg );
	
	$insert = "INSERT INTO venta_vehicular_web VALUES (NULL,'";
	$insert .= $tipodocumento."', '";
	$insert .= $numerodocumento."', '";
	$insert .= $nombrecliente."', '";
	$insert .= $paternocliente."', '";
	$insert .= $maternocliente."', '";
	$insert .= $fechanacimiento."', '";
	$insert .= $correo."', '";
	$insert .= $celular."', '";
	$insert .= $fijo."', '";
	$insert .= $direccion."', '";
	$insert .= $localidad."', '";
	$insert .= $placa."', '";
	$insert .= $modelov."', '";
	$insert .= $modelov."', '";
	$insert .= $fabricacion."', '";
	$insert .= $aseguradora."', '";
	$insert .= $opcion."', '";
	$insert .= $moneda."', '";

	$insert .= $sumaasegurada."', '";
	$insert .= $vigencia."', '";
	$insert .= $primacontado."', '";
	$insert .= $financiamiento."', '";
	$insert .= $primacontado / $financiamiento."', '";
	$insert .= $endoso."', '";
	$insert .= $gps."', '";
	$insert .= $mediopago."', '";
	$insert .= $reg."')";

	//echo $insert;


include("abre_conexion.php");
if (mysqli_query($conn, $insert)) {
    //echo "inserto";
} else {
    echo "Error: " . $sql . "<br>" . mysqli_error($conn);
}

mysqli_close($conn);
	
	include("config.php");
	$consulta="select * from venta_vehicular_web WHERE placa = '".$placa."' and documento = '".$numerodocumento."' and fecha = '".$reg."' ORDER by fecha desc LIMIT 0, 1";
	$todos=mysql_query($consulta);
	while($registro=mysql_fetch_array($todos))
	{$idtramite = $registro[0];}

	
//*************************************************************************************\\


?>
<html>   

<head>   
<title>Cotizando tu seguro vehicular</title>   
	<link media=all href="estilos2.css" type=text/css rel=stylesheet>
	<link media=all href="estilosslides.css" type=text/css rel=stylesheet>
	<link media=all href="acordeon.css" type=text/css rel=stylesheet>
	<script src="js/jquery-1.11.3.js"></script>

			<script type='text/javascript' src='js/jquery.js'></script>
			<script type='text/javascript'>
			$(document).ready(function() {

				/* COMBOBOX */
								
				});
			</script>
</head>   

<body>   
<?php 

if ($identificador == "X"){
echo "<div id=global style='margin: 0 auto; font: Tahoma; color:#424E8A; height:100%; border: black 1px;'>";
include("cabecera.php");
//echo "<div id=contenido>";
}


if($status == 0) {	

//echo "<br><br><div style='font: bold 85% Tahoma; text-align: justify; float: center;  padding-left:50px; padding-right:50px; width: 88%; height:65%;'>Estimado(a) ".$nombrecliente.", muchas gracias por su preferencia, su compra se registro con &eacute;xito.<br><br>Nos encontramos emitiendo su seguro vehicular, en breve le estaremos haciendo llegar su p&oacute;liza al correo electr&oacute;nico ".$correo."<br><br>";
$descripcionmediopago = 'cupones';
if ($mediopago == 1)
	{
		$comentariomediopago = "Le hemos enviado un correo electr&oacute;nico con el formato que debe completar para solicitar la afiliaci&oacute;n al cargo autom&aacute;tico a su tarjeta de cr&eacute;dito.";
		$descripcionmediopago = 'tarjeta de cr&eacute;dito';
	}

	include("config.php");
	$consulta="select u.idubigeo, concat(u.Nombre, ', ', p.Nombre, ', ', d.nombre) Localidad, if(p.idProvincia in ('0701', '1501'), 1, 2) orden from departamento d inner join provincia p on p.idDepartamento = d.iddepartamento inner join ubigeo u on u.idProvincia = p.idProvincia WHERE idUbigeo = '".$localidad."' ORDER by 3, d.nombre, 2";
	$todos=mysql_query($consulta);
	while($registro=mysql_fetch_array($todos))
	{$descripcionlocalidad = $registro[1];}
		$variables = "";
		$variables .= "&idtramite=".base64_encode($idtramite);
		$mensaje = "<p style='margin-left: 30px; margin-right: 30px; font: 120% Arial; color:#424E8A; text-align:justify; border: black 1px;'>";
		//echo "<img class='roundimg' style='margin-left: 3px; float:left;' src='picture_library/Ok.png' width='300px' height='350px' alt=''><br>";
		$mensaje .= "<br><font size=4>Estimado(a) ".$nombrecliente."</font>";
		$mensaje .= "<font size=4>, muchas gracias por comprar en www.tuseguroperu.com, su solicitud fue registrada con &eacute;xito con el c&oacute;digo de atenci&oacute;n SVW".$idtramite.".<br><br>";
		if ($mediopago == 1) {$mensaje .= $comentariomediopago;}
		$mensaje .= "<br><br>Nos encontramos emitiendo su Seguro Vehicular en ".$descripcionaseguradora." Seguros con ".$comentariodeducible." los siguientes datos:<br><br>";
		$variables .= "&comentariodeducible=".base64_encode($comentariodeducible);
		
		$mensaje .= "</font></p>";

	$mensaje .= "<div id='contenedor1' style='margin-left: 0px; padding-left: 0px; font: 100% Arial; text-align:justify; width:95%; height:auto; overflow: auto; border: black 1px; margin:auto;'>";

		$mensaje .= "<div id='datospersonales' style='margin-left: 0px; padding-left: 0px; font: 100% Arial; text-align:justify; width:350px; border: black 1px; float:left; left:0px;'>";
		
		$mensaje .= "<table style='margin-left: 0px; padding-left: 30px; font: 80% Arial; color:#424E8A; text-align:justify;'>";
		$mensaje .= "<tr>";
		$mensaje .= "<td colspan='2' style='width:350px; text-align:center; background-color:#424E8A; color:white;' class='roundTable'>"."Datos Personales"."</td>";
		$mensaje .= "</tr>";

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>".$idtipodoc.":</td><td style='width:60%;'class='roundTable'>".$numerodocumento."</td>";
		$mensaje .= "</tr>";
		$variables .= "&mediopago=".base64_encode($mediopago);
		$variables .= "&descripcionaseguradora=".base64_encode($descripcionaseguradora);
		$variables .= "&idtipodoc=".base64_encode($idtipodoc);
		$variables .= "&numerodocumento=".base64_encode($numerodocumento);
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Nombres:</td><td style='width:60%;'class='roundTable'>".$nombrecliente."</td>";
		$mensaje .= "</tr>";
		$variables .= "&nombrecliente=".base64_encode($nombrecliente);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Ap. Paterno:</td><td style='width:60%;'class='roundTable'>".$paternocliente."</td>";
		$mensaje .= "</tr>";
		$variables .= "&paternocliente=".base64_encode($paternocliente);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Ap. Materno:</td><td style='width:60%;'class='roundTable'>".$maternocliente."</td>";
		$mensaje .= "</tr>";
		$variables .= "&maternocliente=".base64_encode($maternocliente);
		$variables .= "&fecnac=".base64_encode($fechanacimiento);
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Correo:</td><td style='width:60%;'class='roundTable'>".$correo."</td>";
		$mensaje .= "</tr>";
		$variables .= "&correo=".base64_encode($correo);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Celular:</td><td style='width:60%;'class='roundTable'>".$celular."</td>";
		$mensaje .= "</tr>";
		$variables .= "&celular=".base64_encode($celular);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Fijo:</td><td style='width:60%;'class='roundTable'>".$fijo."</td>";
		$mensaje .= "</tr>";
		$variables .= "&fijo=".base64_encode($fijo);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Direcci&oacute;n:</td><td style='width:60%;'class='roundTable'>".$direccion."</td>";
		$mensaje .= "</tr>";
		$variables .= "&direccion=".base64_encode($direccion);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Localidad:</td><td style='width:60%;'class='roundTable'>".$descripcionlocalidad."</td>";
		$mensaje .= "</tr>";
		$variables .= "&descripcionlocalidad=".base64_encode($descripcionlocalidad);

		$mensaje .= "</table>";
		$mensaje .= "</div>";

		$mensaje .= "<div id='datosvehiculo' style='margin-right: 0px; padding-left: 0px; font: 100% Arial; text-align:justify; width:350px; border: black 1px; float:right; right:0px;'>";
		
		$mensaje .= "<table style='margin-left: 0px; padding-left: 0px; font: 80% Arial; color:#424E8A; text-align:justify;'>";
		$mensaje .= "<tr>";
		$mensaje .= "<td colspan='2' style='width:350px; text-align:center; background-color:#424E8A; color:white;' class='roundTable'>"."Datos del veh&iacute;culo"."</td>";
		$mensaje .= "</tr>";
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Placa:</td><td style='width:60%;'class='roundTable'>".$placa."</td>";
		$mensaje .= "</tr>";
		$variables .= "&placa=".base64_encode($placa);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Marca y modelo:</td><td style='width:60%;'class='roundTable'>".$modelov."</td>";
		$mensaje .= "</tr>";
		$variables .= "&modelov=".base64_encode($modelov);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."A&ntilde;o de fabricaci&oacute;n:</td><td style='width:60%;'class='roundTable'>".$fabricacion."</td>";
		$variables .= "&fabricacion=".base64_encode($fabricacion);
		$variables .= "&motor=".base64_encode($motor);
		$variables .= "&chasis=".base64_encode($chasis);

		$mensaje .= "</tr>";
		$mensaje .= "<tr>";
		$mensaje .= "<td colspan='2' style='width:350px; text-align:center; background-color:#424E8A; color:white;' class='roundTable'>"."Datos del Seguro Vehicular"."</td>";
		$mensaje .= "</tr>";


//
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Suma Asegurada:</td><td style='width:60%;'class='roundTable'>".$moneda." ".number_format($sumaasegurada, 0, '.', ',')."</td>";
		$mensaje .= "</tr>";
		$variables .= "&moneda=".base64_encode($moneda);
		$variables .= "&sumaasegurada=".base64_encode($sumaasegurada);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Inicio de cobertura:</td><td style='width:60%;'class='roundTable'>".$vigencia."</td>";
		$mensaje .= "</tr>";
		$variables .= "&vigencia=".base64_encode($vigencia);
		
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Prima Anual:</td><td style='width:60%;'class='roundTable'>".$moneda." ".number_format($primacontado, 2, '.', ',')."</td>";
		$mensaje .= "</tr>";
		$variables .= "&primacontado=".base64_encode($primacontado);
		
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Financiado en:</td><td style='width:60%;'class='roundTable'>".$financiamiento." cuotas en ".$descripcionmediopago."</td>";
		$mensaje .= "</tr>";
		$variables .= "&financiamiento=".base64_encode($financiamiento);
		$variables .= "&descripcionmediopago=".base64_encode($descripcionmediopago);
		
		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Endosado a favor de:</td><td style='width:60%;'class='roundTable'>".$endoso."</td>";
		$mensaje .= "</tr>";
		$variables .= "&endoso=".base64_encode($endoso);

		$mensaje .= "<tr>";
		$mensaje .= "<td style='width:40%; background-color:#646FA6; color:white;' class='roundTable'>"."Exigencia de GPS:</td>";
		if ($gps == 'SI requiere' )
			{
				$mensaje .= "<td style='width:60%; background: #FFD7D7; border: 1px solid red; border-color: red;' class='roundTable'>".$gps;
			}
		else
			{
				$mensaje .= "<td style='width:60%;' class='roundTable'>".$gps;
			}
		$variables .= "&gps=".base64_encode($gps);
			$mensaje .= "</td>";
		$mensaje .= "</tr>";
		$mensaje .= "</table>";
		$mensaje .= "</div>";
	$mensaje .= "</div>";


//		echo "<div style='text-align:right; font: 80% Arial; background:pink; padding-right: 30px; '>";
//			echo "<br><a href='soat.php'>COTIZAR SOAT</a>";
//		echo "</div>";
echo $mensaje;


echo "<iframe src ='http://www.myjservigen.com/prueba.php?tipo=correo".$variables."' style='display: none;' width='100%' height='0%'> <p>ERROR</p> </iframe>";

//echo "<script type='text/javascript'>window.open('http://www.myjservigen.com/prueba.php?tipo=correo".$variables."', 'nuevo', 'directories=no, location=no, menubar=no, scrollbars=yes, statusbar=no, tittlebar=no, width=400, height=400');</script>";
	
echo "<div id='contenedor2' style='margin-left: 0px; padding-top: 10px; font: bold 85% Tahoma; text-align:center; width:95%; height:auto; overflow: auto; border: black 1px; margin:auto;'>";
echo "En breve le estaremos enviado a su correo electr&oacute;nico su p&oacute;liza vehicular.<br><br>";
echo "<a href='javascript:history.back();'> Volver</a>";
echo "</div>";

echo "</div>";//CIERRA EL DIV GLOBAL

}//CIERRA EL BLOQUE QUE MUESTRA EL TEXTO EN PANTALLA
}//CIERRA EL BLOQUE SI TODA LA VALIDACION SALIO CORRECTA
if ($identificador == ""){
echo "</div>";//cierre de div global
}
	?>
	<div class="links" style="display:none;"> </div></body>   
	</html> 